I can't download flash 10

Closed
bearology Posts 2 Registration date Saturday February 6, 2010 Status Member Last seen February 7, 2010 - Feb 7, 2010 at 01:21 AM
bearology Posts 2 Registration date Saturday February 6, 2010 Status Member Last seen February 7, 2010 - Feb 7, 2010 at 02:13 PM
Sup, I've been looking on google and not much has been very helpful... Is my Mac too old? It's pretty updated (says I have no more things to update, anyways) and I had just recently installed these flash things. I didn't take too much notice of it though, I think they were 7, 8, and 9. or maybe 8, 9, and 10 (I just remember there were 3 of them), now a site requires I have a flash 10, and when I try to update it from there, it goes through everything butttttt then two windows reading the same thing pops up saying 'File could not be opened because the specified format is not supported'

So, is my Mac too old? Is there no reviving it? Maybe I should get leopard?
Related:

2 replies

Blocked Profile
Feb 7, 2010 at 03:48 AM
Hi there,

You need to download and install the version compatible to Mac os,you will get them available for download on links below from official Apple website:

https://support.apple.com/en_US/downloads
https://support.apple.com/en_US/downloads

Thanks
0
bearology Posts 2 Registration date Saturday February 6, 2010 Status Member Last seen February 7, 2010
Feb 7, 2010 at 02:13 PM
Well, I was able to download the second link, but even after I downloaded it then Adobe and put it in my applications folder it still wont work :/
0